Chart-1.8.2: A library for generating 2D Charts and Plots

Copyright | (c) Tim Docker 2006 2014
License | BSD-style (see chart/COPYRIGHT)
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.Chart.Plot.ErrBars

Contents

- Accessors

Description

Plot series of points with associated error bars.

Synopsis

- data PlotErrBars x y = PlotErrBars {
  - _plot_errbars_title :: String
  - _plot_errbars_line_style :: LineStyle
  - _plot_errbars_tick_length :: Double
  - _plot_errbars_overhang :: Double
  - _plot_errbars_values :: [ErrPoint x y]
  }
- data ErrPoint x y = ErrPoint {
  - ep_x :: ErrValue x
  - ep_y :: ErrValue y
  }
- data ErrValue x = ErrValue {
  - ev_low :: x
  - ev_best :: x
  - ev_high :: x
  }
- symErrPoint :: (Num a, Num b) => a -> b -> a -> b -> ErrPoint a b
- plot_errbars_title :: forall x y. Lens' (PlotErrBars x y) String
- plot_errbars_line_style :: forall x y. Lens' (PlotErrBars x y) LineStyle
- plot_errbars_tick_length :: forall x y. Lens' (PlotErrBars x y) Double
- plot_errbars_overhang :: forall x y. Lens' (PlotErrBars x y) Double
- plot_errbars_values :: forall x y x y. Lens (PlotErrBars x y) (PlotErrBars x y) [ErrPoint x y] [ErrPoint x y]

# Documentation

data PlotErrBars x y Source #

Value defining a series of error intervals, and a style in which to render them.

Constructors

PlotErrBars |

Fields

- _plot_errbars_title :: String
- _plot_errbars_line_style :: LineStyle
- _plot_errbars_tick_length :: Double
- _plot_errbars_overhang :: Double
- _plot_errbars_values :: [ErrPoint x y]

Instances

ToPlot PlotErrBars Source # |
Methods toPlot :: PlotErrBars x y -> Plot x y Source #
Default (PlotErrBars x y) Source # |
Methods def :: PlotErrBars x y #

data ErrPoint x y Source #

Constructors

ErrPoint |

Fields

- ep_x :: ErrValue x
- ep_y :: ErrValue y

Instances

(Show y, Show x) => Show (ErrPoint x y) Source # |
Methods showsPrec :: Int -> ErrPoint x y -> ShowS # show :: ErrPoint x y -> String # showList :: [ErrPoint x y] -> ShowS #

data ErrValue x Source #

Value for holding a point with associated error bounds for each axis.

Constructors

ErrValue |

Fields

- ev_low :: x
- ev_best :: x
- ev_high :: x

Instances

Show x => Show (ErrValue x) Source # |
Methods showsPrec :: Int -> ErrValue x -> ShowS # show :: ErrValue x -> String # showList :: [ErrValue x] -> ShowS #

symErrPoint :: (Num a, Num b) => a -> b -> a -> b -> ErrPoint a b Source #

When the error is symmetric, we can simply pass in dx for the error.

# Accessors

These accessors are generated by template haskell

plot_errbars_title :: forall x y. Lens' (PlotErrBars x y) String Source #

plot_errbars_line_style :: forall x y. Lens' (PlotErrBars x y) LineStyle Source #

plot_errbars_tick_length :: forall x y. Lens' (PlotErrBars x y) Double Source #

plot_errbars_overhang :: forall x y. Lens' (PlotErrBars x y) Double Source #

plot_errbars_values :: forall x y x y. Lens (PlotErrBars x y) (PlotErrBars x y) [ErrPoint x y] [ErrPoint x y] Source #